Bug 229497 - [GStreamer] Track handling refactoring
Summary: [GStreamer] Track handling refactoring
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Philippe Normand
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-08-25 08:19 PDT by Philippe Normand
Modified: 2021-09-06 16:24 PDT (History)
13 users (show)

See Also:


Attachments
Patch (39.21 KB, patch)
2021-08-25 08:38 PDT, Philippe Normand
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2021-08-25 08:19:59 PDT
Let's try to re-land the changes initially reviewed in bug 229123.
Comment 1 Philippe Normand 2021-08-25 08:38:44 PDT
Created attachment 436392 [details]
Patch
Comment 2 EWS 2021-08-29 02:50:35 PDT
Committed r281741 (241083@main): <https://commits.webkit.org/241083@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 436392 [details].
Comment 3 Radar WebKit Bug Importer 2021-08-29 02:51:23 PDT
<rdar://problem/82490003>
Comment 4 Arcady Goldmints-Orlov 2021-09-01 13:20:18 PDT
It appears that this has made the test media/track/in-band/track-in-band-kate-ogg-cues-added-once.html considerably more likely to fail (though admittedly it was somewhat flaky even before this change).

When it fails it does so like this:

--- /home/buildbot/worker/gtk-linux-64-release-tests/build/layout-test-results/media/track/in-band/track-in-band-kate-ogg-cues-added-once-expected.txt
+++ /home/buildbot/worker/gtk-linux-64-release-tests/build/layout-test-results/media/track/in-band/track-in-band-kate-ogg-cues-added-once-actual.txt
@@ -6,13 +6,13 @@
 ** Setting track 1 to showing
 RUN(inbandTrack1.mode = 'showing')
 RUN(video.play())
-EXPECTED (inbandTrack1.cues.length > '0') OK
+EXPECTED (inbandTrack1.cues.length > '0'), OBSERVED '0' FAIL
 RUN(video.pause())
 RUN(video.currentTime = 0)
 RUN(video.play())
 
 EVENT(seeked)
-EXPECTED (inbandTrack1.cues.length > '0') OK
+EXPECTED (inbandTrack1.cues.length > '0'), OBSERVED '0' FAIL
 RUN(video.pause())
 Test all cues are equal OK
 END OF TEST
Comment 5 Philippe Normand 2021-09-01 13:26:50 PDT
Indeed... I'll pile this somewhere on the ever-to-big TODO :(